
Ryzom - Bug # 1254

Status: Closed Priority: High
Author: Gallaecio Category: OS: GNU/Linux
Created: 03/09/2011 Assignee: kervala
Updated: 10/18/2012 Due date:
Subject: Error while compiling with current stable squish
Description

Commands used to compile:

cmake \
  -DCMAKE_INSTALL_PREFIX=/usr \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DWITH_STATIC=ON \
  -DWITH_STATIC_DRIVERS=ON \
  ..

make -j3

Error:

[ 63%] Building CXX object
nel/tools/3d/hls_bank_maker/CMakeFiles/hls_bank_maker.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o                          

/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp: In function ‘void compressMipMap(uint8*, sint, sint, std::vector<unsigned char>&, CS3TCCompressor::DDS_HEADER&, sint)’:
/home/chaves/proxect
pressor.cpp: In function ‘void compressMipMap(uint8*, sint, sint, std::vector<unsigned char>&,
CS3TCCompressor::DDS_HEADER&, sint)’:
/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp:64:82: error: too many arguments to function ‘void squish::CompressImage(const squish::u8*, int, int, void*, int)’
/usr/include/squish.h:219:6: note: declared here
[ 63%] Building CXX object nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/panoply_maker.cpp.o
/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp
pressor.cpp:64:82: error: too many arguments to function ‘void squish::CompressImage(const squish::u8*, int, int, void*, int)’
/usr/include/squish.h:219:6: note: declared here
[ 63%] Building CXX object nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/panoply_maker.cpp.o
/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp: In function ‘void compressMipMap(uint8*, sint, sint, std::vector<unsigned char>&, CS3TCCompressor::DDS_HEADER&, sint)’:
/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp:64:82: error: too many arguments to function ‘void squish::CompressImage(const squish::u8*, int, int, void*, int)’
/usr/include/squish.h:219:6: note: declared here
make[2]: *** [nel/tools/3d/tga_2_dds/CMakeFiles/tga2dds.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o] Erro 1
make[1]: *** [nel/tools/3d/tga_2_dds/CMakeFiles/tga2dds.dir/all] Erro 2
make[1]: *** Agardando por traballos non rematados....
[ 63%] Building CXX object nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o
make[2]: **
pressor.cpp: In function ‘void compressMipMap(uint8*, sint, sint, std::vector<unsigned char>&,
CS3TCCompressor::DDS_HEADER&, sint)’:
/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp:64:82: error: too many arguments to function ‘void squish::CompressImage(const squish::u8*, int, int, void*, int)’
/usr/include/squish.h:219:6: note: declared here
make[2]: *** [nel/tools/3d/tga_2_dds/CMakeFiles/tga2dds.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o] Erro 1
make[1]: *** [nel/tools/3d/tga_2_dds/CMakeFiles/tga2dds.dir/all] Erro 2
make[1]: *** Agardando por traballos non rematados....
[ 63%] Building CXX object nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o
make[2]: *** [nel/tools/3d/hls_bank_maker/CMakeFiles/hls_bank_maker.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o] Erro 1                                
make[1]: *** [nel/tools/3d/hls_bank_maker/CMakeFiles/hls_bank_maker.dir/all] Erro 2
/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp: In function ‘void compressMipMap(uint8*, sint, sint, std::vector<unsigned char>&, CS3TCCompressor::DDS_HEADER&, sint)’:
/home/chaves/proxectos/Cha
pressor.cpp:64:82: error: too many arguments to function ‘void squish::CompressImage(const squish::u8*, int, int, void*, int)’
/usr/include/squish.h:219:6: note: declared here
make[2]: *** [nel/tools/3d/tga_2_dds/CMakeFiles/tga2dds.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o] Erro 1
make[1]: *** [nel/tools/3d/tga_2_dds/CMakeFiles/tga2dds.dir/all] Erro 2
make[1]: *** Agardando por traballos non rematados....
[ 63%] Building CXX object
nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o
make[2]: *** [nel/tools/3d/hls_bank_maker/CMakeFiles/hls_bank_maker.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o]
Erro 1                                
make[1]: *** [nel/tools/3d/hls_bank_maker/CMakeFiles/hls_bank_maker.dir/all] Erro 2
/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp: In function ‘void compressMipMap(uint8*, sint, sint, std::vector<unsigned char>&, CS3TCCompressor::DDS_HEADER&, sint)’:
/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp:64:82: error: too many arguments to function ‘void squish::CompressImage(const squish::u8*, int, int, void*, int)’
/usr/include/squish.h:219:6: note: declared here
make[2]: *** [nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o] Erro 1
make[2]: *** Agardando por traballos non rematados....
make[1]: *** [nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/all] Erro 2
make: *** [all] Erro 2

pressor.cpp: In function ‘void compressMipMap(uint8*, sint, sint, std::vector<unsigned char>&,
CS3TCCompressor::DDS_HEADER&, sint)’:
/home/chaves/proxectos/Chakra/packaging/master/tmp/ryzom/src/ryzom-build/code/nel/tools/3d/s3tc_compressor_lib/s3tc_compressor.cpp:64:82: error: too many arguments to function ‘void squish::CompressImage(const squish::u8*, int, int, void*, int)’
/usr/include/squish.h:219:6: note: declared here
make[2]: *** [nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o] Erro 1
make[2]: *** Agardando por traballos non rematados....
make[1]: *** [nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/all] Erro 2
make: *** [all] Erro 2

pressor.cpp:64:82: error: too many arguments to function ‘void squish::CompressImage(const squish::u8*, int, int, void*, int)’
/usr/include/squish.h:219:6: note: declared here
make[2]: *** [nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/__/s3tc_compressor_lib/s3tc_compressor.cpp.o] Erro
1
make[2]: *** Agardando por traballos non rematados....
make[1]: *** [nel/tools/3d/panoply_maker/CMakeFiles/panoply_maker.dir/all] Erro 2
make: *** [all] Erro 2

History
#1 - 03/10/2011 07:14 pm - kervala

It seems like you're not using the last version of libsquish. I will check if I can use the good method depending on squish version.

#2 - 03/10/2011 07:30 pm - Gallaecio

Actually, I'm. I compiled it myself:

[chaves@afonsox ~]$ sudo pacman -Qs libsquish 
local/libsquish 1.10-1

#3 - 03/10/2011 08:12 pm - kervala

In fact, by last version, I meant this one from SVN : http://libsquish.googlecode.com/svn/trunk/

1.10 was released in 2008 while the SVN has been updated in 2009.

#4 - 03/10/2011 10:01 pm - Gallaecio

Ok, I missunderstood the "latest" part then :) Will try again with latest SVN snapshot and report back.

#5 - 03/11/2011 06:55 pm - Gallaecio

Great, thanks.

#6 - 01/01/2012 05:27 pm - danto

is this solved?

#7 - 01/01/2012 07:09 pm - kervala

Sorry, you'll have to use last Squish version from SVN.

I don't have any way to check Squish version installed on your system since there is no version in Squish headers.

Or perhaps should I tweak Squish CMake module.
#8 - 09/25/2012 11:59 am - kervala
- Status changed from New to Assigned
- Assignee set to kervala
- Priority changed from Normal to High

I'm changing the FindSquish.cmake module to search for correct function definition and use a switch in code to use the right syntax.

#9 - 09/25/2012 12:18 pm - kervala
- Subject changed from Build fails in Chakra GNU/Linux (x86_64) to Error while compiling with current stable squish

#10 - 09/25/2012 12:30 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:123643e719de.

#11 - 09/25/2012 06:10 pm - kervala
- Target version set to Version 0.9.0

#12 - 09/29/2012 02:55 pm - kervala
- Status changed from Resolved to Closed
